#! /bin/bash
# shellcheck disable=SC2154

if ! command -v otsb_cmd_test > /dev/null; then

    otsb_cmd_test () {

	if ! otsb_is_set make_test_args ; then
	    otsb_die "$FUNCITON: make_test_args variable was not set"
	fi

	"$make" "${make_opt[@]}" "${make_test_args[@]}"
    }

    _otsb_test_options () {

	otsb_set make "$(command -v make)"
	otsb_add_option scalar make     "name of the make command []"
	otsb_add_option array make-opt 'extra options for make; may be specified multiple times'
    }

    otsb_hook_push_fn_back options_before _otsb_test_options
fi
